History

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Intro

With this API you can retrieve all the executions made to send an SMS

Important Points

Pagination Parameters

The next two pagination parameters are mandatory to do the request.

  • itemsPerPage, number of items by page, should be integer value between [1, 1000]
  • page, number of recovered page, should be integer value greater than 0

The next two pagination parameters are mandatory to do the request.

  • from, initial date to filter the request, the format must comply with format ISO 8601
  • to, end date to filter the request, the format must comply with format ISO 8601
  • FORMAT_ERROR; Invalid date format. The format must comply with format ISO 8601
"itemsPerPage": ERROR_QUERY_PARAM_FORMAT; should be an integer value between 1 and 1000
"page": ERROR_QUERY_PARAM_FORMAT;  should be an integer value greater than 0
"from": FORMAT_ERROR; Invalid date format. The format must comply with format ISO 8601
"to": FORMAT_ERROR; Invalid date format. The format must comply with format ISO 8601

Response
Kiban will return a list of items with the next structure:

{
    "currentPage": 1,
    "hasNextPage": false,
    "items": [
        {
            "id": "63ae35ae5b3c93491fbd3c57",
            "createdAt": "2022-12-30T00:49:50.337Z",
            "finishedAt": "2022-12-30T00:49:50.52Z",
            "duration": 182936483,
            "status": "SUCCESS"
        }
    ]
}
  • currentPage, the actual recovered page
  • hasNextPage, indicate if there are more pages
  • items, list of items in the request
    • id, identifier of the request.
    • createdAt, date time with the exact moment of creation.
    • finishedAt, date time with the exact moment of finalization.
    • duration, indicates how long it took to execute the service.
    • status, status of the request
Query Params
int32

number of items by page, should be integer value between [1, 1000]

int32

number of recovered page, should be integer value greater than 0

date

Optional field, the format of the date should be RFC 3339, e.g 2023-01-01T00:00:00Z

date

Optional field, the format of the date should be RFC 3339, e.g 2023-12-31T00:00:00Z

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json